<?php

namespace app\services\messages;

defined('BASEPATH') or exit('No direct script access allowed');

use app\services\messages\AbstractPopupMessage;

class ReOrderTaskChecklistItems extends AbstractPopupMessage
{
    public function isVisible(...$params)
    {
        $item_id = $params[0]['checklist_id'];
        $task_id = $params[0]['task_id'];

        return ($task_id == 1 || $task_id == 2 || $task_id == 3 || $task_id == 4 || $task_id == 5) && $item_id == 8;
    }

    public function getMessage(...$params)
    {
        return 'Seems like that you are enjoying creating tasks checklist items, did you know that you can easily re-order the items by dragging them above or below? <br /><br />
         <img alt="checklist-items-drag" class="img-responsive center-block" src="data:image/png;base64,[encoded data, 11556 characters]">';
    }
}
